Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517373 - pyanaconda.bootloader.BootLoaderError: failed to set new efi boot target. This is most likely a kernel or firmware bug. [NEEDINFO]
Summary: pyanaconda.bootloader.BootLoaderError: failed to set new efi boot target. Thi...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1bbd83b6789be063ab5a2791c77...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 17:01 UTC by Citizen
Modified: 2018-11-30 19:52 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 19:52:41 UTC
jkonecny: needinfo? (pjones)


Attachments (Terms of Use)
File: anaconda-tb (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details
File: anaconda.log (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details
File: environ (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details
File: journalctl (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details
File: lsblk_output (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details
File: lvm.log (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details
File: nmcli_dev_list (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details
File: os_info (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details
File: program.log (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details
File: storage.log (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details
File: ifcfg.log (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details
File: packaging.log (deleted)
2017-11-24 17:01 UTC, Citizen
no flags Details

Description Citizen 2017-11-24 17:01:30 UTC
Description of problem:
Seems to be Apple's EFI implimentation causing an error.

Version-Release number of selected component:
anaconda-core-27.20.4-4.fc27.x86_64

The following was filed automatically by anaconda:
anaconda 27.20.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 1726, in _add_single_efi_boot_target
    raise BootLoaderError("failed to set new efi boot target. This is most likely a kernel or firmware bug.")
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 1730, in add_efi_boot_target
    self._add_single_efi_boot_target(self.stage1_device)  # pylint: disable=no-member
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 1779, in install
    self.add_efi_boot_target()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 1880, in install
    super(MacEFIGRUB, self).install()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 1769, in write
    self.install()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 2467, in writeBootLoaderFinal
    storage.bootloader.write()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 2544, in writeBootLoader
    writeBootLoaderFinal(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 366, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 252, in run
    threading.Thread.run(self)
pyanaconda.bootloader.BootLoaderError: failed to set new efi boot target. This is most likely a kernel or firmware bug.

Additional info:
addons:         com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-27-1-6 rd.live.image quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.13.9-300.fc27.x86_64
other involved packages: python3-libs-3.6.2-13.fc27.x86_64
product:        Fedora
release:        Fedora release 27 (Twenty Seven)
type:           anaconda
version:        27

Comment 1 Citizen 2017-11-24 17:01:39 UTC
Created attachment 1358713 [details]
File: anaconda-tb

Comment 2 Citizen 2017-11-24 17:01:40 UTC
Created attachment 1358714 [details]
File: anaconda.log

Comment 3 Citizen 2017-11-24 17:01:42 UTC
Created attachment 1358715 [details]
File: environ

Comment 4 Citizen 2017-11-24 17:01:47 UTC
Created attachment 1358716 [details]
File: journalctl

Comment 5 Citizen 2017-11-24 17:01:48 UTC
Created attachment 1358717 [details]
File: lsblk_output

Comment 6 Citizen 2017-11-24 17:01:49 UTC
Created attachment 1358718 [details]
File: lvm.log

Comment 7 Citizen 2017-11-24 17:01:51 UTC
Created attachment 1358719 [details]
File: nmcli_dev_list

Comment 8 Citizen 2017-11-24 17:01:52 UTC
Created attachment 1358720 [details]
File: os_info

Comment 9 Citizen 2017-11-24 17:01:53 UTC
Created attachment 1358721 [details]
File: program.log

Comment 10 Citizen 2017-11-24 17:01:55 UTC
Created attachment 1358722 [details]
File: storage.log

Comment 11 Citizen 2017-11-24 17:01:56 UTC
Created attachment 1358723 [details]
File: ifcfg.log

Comment 12 Citizen 2017-11-24 17:01:57 UTC
Created attachment 1358724 [details]
File: packaging.log

Comment 13 Jiri Konecny 2017-11-27 07:29:37 UTC
I'm seeing rsync errors in program log. Could they be the cause of this problem or do we need to change the rsync here? Is there some change in efi grub which is causing this? What do you think Peter?

Comment 14 Ben Cotton 2018-11-27 17:01:35 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 19:52:41 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.